'use strict';

const gulp = require('gulp');
const rename = require('gulp-rename');
const uglify = require('gulp-uglify');
const jshint = require('gulp-jshint');
const clean = require('gulp-clean');
const sourcemaps = require('gulp-sourcemaps');
const babel = require('gulp-babel');
const removeUseStrict = require('gulp-remove-use-strict');

const DEST = 'build/';

gulp.task('clean', function() {
	return gulp.src(DEST)
			.pipe(clean());
});

gulp.task('jshint', function() {
	return gulp.src('src/*.js')
			.pipe(jshint())
			.pipe(jshint.reporter('default'));
});

//Cria o .js minificado e não minificado
gulp.task('build', ['clean'], function() {
	return 	gulp.src('src/plugin.js')
			.pipe(sourcemaps.init())
			.pipe(rename('ztoast.js'))
			.pipe(babel())
			.pipe(removeUseStrict())
			.pipe(gulp.dest(DEST))
			.pipe(uglify())
			.pipe(rename({ extname: '.min.js' }))
            .pipe(sourcemaps.write('/'))
			.pipe(gulp.dest(DEST));
});

gulp.task('default', ['jshint', 'build']);